Skip to main content
POST
/
custom-channels
/
{channel_id}
/
messages
Ingest message
curl --request POST \
  --url https://api.partoo.co/v2/custom-channels/{channel_id}/messages \
  --header 'Content-Type: application/json' \
  --header 'x-APIKey: <api-key>' \
  --data '
{
  "business_id": "<string>",
  "external_conversation_id": "<string>",
  "external_message_id": "<string>",
  "content": "<string>",
  "consumer_name": "null",
  "consumer_image": "null"
}
'
import requests

url = "https://api.partoo.co/v2/custom-channels/{channel_id}/messages"

payload = {
"business_id": "<string>",
"external_conversation_id": "<string>",
"external_message_id": "<string>",
"content": "<string>",
"consumer_name": "null",
"consumer_image": "null"
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_id: '<string>',
external_conversation_id: '<string>',
external_message_id: '<string>',
content: '<string>',
consumer_name: 'null',
consumer_image: 'null'
})
};

fetch('https://api.partoo.co/v2/custom-channels/{channel_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success"
}
{
"errors": {
"authorization": "Operation not allowed"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

channel_id
string
required

The id of the custom channel

Body

application/json

Request body to ingest a new message in a conversation

business_id
string
required

The id of the business.

external_conversation_id
string
required

The unique id of the conversation in your system. Messages with the same external_conversation_id & channel_id will be grouped within the same Partoo Conversation.

external_message_id
string
required

The unique id of the message in your system. Messages with the same external_message_id & channel_id will be considered as duplicates and will be ignored.

content
string
required

The message content.

sender_type
enum<string>
required
Available options:
User,
Consumer
consumer_name
string | null
default:null

Display name of the consumer. This property is only used at the creation of the conversation.

consumer_image
string | null
default:null

Profile image URL of the consumer. This property is only used at the creation of the conversation.

Response

OK

status
enum<string>
Available options:
success